Mail archive
alpine-devel

[alpine-devel] [PATCH 1/2] testing/py-meld3: new aport

From: Peter Bui <pnutzh4x0r_at_gmail.com>
Date: Sun, 24 Aug 2014 21:53:49 -0500

http://www.plope.com/software/meld3/
An HTML/XML templating engine (required by supervisor)
---
 testing/py-meld3/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-meld3/APKBUILD
diff --git a/testing/py-meld3/APKBUILD b/testing/py-meld3/APKBUILD
new file mode 100644
index 0000000..7192648
--- /dev/null
+++ b/testing/py-meld3/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Peter Bui <pnutzh4x0r_at_gmail.com>
+# Maintainer:
+pkgname=py-meld3
+_pkgname=meld3
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="An HTML/XML templating engine"
+url="http://www.plope.com/software/meld3/"
+arch="noarch"
+license="ZPL"
+depends="python"
+depends_dev="python-dev py-setuptools"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1 || return 1
+}
+
+md5sums="ca270506dd4ecb20ae26fa72fbd9b0be  meld3-1.0.0.tar.gz"
+sha256sums="57b41eebbb5a82d4a928608962616442e239ec6d611fe6f46343e765e36f0b2b  meld3-1.0.0.tar.gz"
+sha512sums="17d90620b34ddecebcf1d08698149a598f1ac74f3a9c8c5fadcc2ea70d3d94c19ac3d662904f29a5093b3326131a2875940f3fa63a05f288de8e703cfee6e243  meld3-1.0.0.tar.gz"
-- 
2.1.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Sun Aug 24 2014 - 21:53:49 GMT